﻿var sized = false;
var sizedWidth = '100%';

function setCustomUI(width) {
	jQuery('#gameBorder')
		.width(width)
		.css('border', '0px');
	jQuery('#gamePanel')
		.width('100%')
		.css('position', 'initial')
		.css('margin-left', '0px')
		.css('margin-top', '30px')
		.css('padding-top', '20px');
	jQuery('#gridPanel')
		.width('100%');
	jQuery('#gamePanelSpacer')
		.remove();
	jQuery('#gameContent')
		.width('initial');
	jQuery('#status')
		.width(width);
	jQuery('#txtCommandSpacer')
		.css('height', '30px');
	jQuery('#txtCommandDiv')
		.width('100%')
		.css('display', 'inline');
	jQuery('#txtCommand')
		.width('100%')
		.css('display', 'inline');
		
	jQuery('#gameContent')
		.append('<p>Developed by Lander Laparra</p>');
		
	sized = true;
	sizedWidth = width;
}

function isSized() {
	if(!sized){
		setCustomUI(sizedWidth);
	}
}